Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network89.3.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
89.3.0.0
Broadcast address
89.3.255.255
First usable
89.3.0.1
Last usable
89.3.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 59030000 · Integer 1493368832 to 1493434367
Reverse DNS zone
3.89.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011001.00000011..00000000.0000000089.3.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01011001.00000011..00000000.0000000089.3.0.0
Broadcast01011001.00000011..11111111.1111111189.3.255.255
Split into smaller subnets/23

89.3.0.0/16 makes 128 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
189.3.0.0/2389.3.0.1 to 89.3.1.25489.3.1.255510
289.3.2.0/2389.3.2.1 to 89.3.3.25489.3.3.255510
389.3.4.0/2389.3.4.1 to 89.3.5.25489.3.5.255510
489.3.6.0/2389.3.6.1 to 89.3.7.25489.3.7.255510
589.3.8.0/2389.3.8.1 to 89.3.9.25489.3.9.255510
689.3.10.0/2389.3.10.1 to 89.3.11.25489.3.11.255510
789.3.12.0/2389.3.12.1 to 89.3.13.25489.3.13.255510
889.3.14.0/2389.3.14.1 to 89.3.15.25489.3.15.255510
989.3.16.0/2389.3.16.1 to 89.3.17.25489.3.17.255510
1089.3.18.0/2389.3.18.1 to 89.3.19.25489.3.19.255510
1189.3.20.0/2389.3.20.1 to 89.3.21.25489.3.21.255510
1289.3.22.0/2389.3.22.1 to 89.3.23.25489.3.23.255510
1389.3.24.0/2389.3.24.1 to 89.3.25.25489.3.25.255510
1489.3.26.0/2389.3.26.1 to 89.3.27.25489.3.27.255510
1589.3.28.0/2389.3.28.1 to 89.3.29.25489.3.29.255510
1689.3.30.0/2389.3.30.1 to 89.3.31.25489.3.31.255510
1789.3.32.0/2389.3.32.1 to 89.3.33.25489.3.33.255510
1889.3.34.0/2389.3.34.1 to 89.3.35.25489.3.35.255510
1989.3.36.0/2389.3.36.1 to 89.3.37.25489.3.37.255510
2089.3.38.0/2389.3.38.1 to 89.3.39.25489.3.39.255510
2189.3.40.0/2389.3.40.1 to 89.3.41.25489.3.41.255510
2289.3.42.0/2389.3.42.1 to 89.3.43.25489.3.43.255510
2389.3.44.0/2389.3.44.1 to 89.3.45.25489.3.45.255510
2489.3.46.0/2389.3.46.1 to 89.3.47.25489.3.47.255510
2589.3.48.0/2389.3.48.1 to 89.3.49.25489.3.49.255510
2689.3.50.0/2389.3.50.1 to 89.3.51.25489.3.51.255510
2789.3.52.0/2389.3.52.1 to 89.3.53.25489.3.53.255510
2889.3.54.0/2389.3.54.1 to 89.3.55.25489.3.55.255510
2989.3.56.0/2389.3.56.1 to 89.3.57.25489.3.57.255510
3089.3.58.0/2389.3.58.1 to 89.3.59.25489.3.59.255510
3189.3.60.0/2389.3.60.1 to 89.3.61.25489.3.61.255510
3289.3.62.0/2389.3.62.1 to 89.3.63.25489.3.63.255510
3389.3.64.0/2389.3.64.1 to 89.3.65.25489.3.65.255510
3489.3.66.0/2389.3.66.1 to 89.3.67.25489.3.67.255510
3589.3.68.0/2389.3.68.1 to 89.3.69.25489.3.69.255510
3689.3.70.0/2389.3.70.1 to 89.3.71.25489.3.71.255510
3789.3.72.0/2389.3.72.1 to 89.3.73.25489.3.73.255510
3889.3.74.0/2389.3.74.1 to 89.3.75.25489.3.75.255510
3989.3.76.0/2389.3.76.1 to 89.3.77.25489.3.77.255510
4089.3.78.0/2389.3.78.1 to 89.3.79.25489.3.79.255510
4189.3.80.0/2389.3.80.1 to 89.3.81.25489.3.81.255510
4289.3.82.0/2389.3.82.1 to 89.3.83.25489.3.83.255510
4389.3.84.0/2389.3.84.1 to 89.3.85.25489.3.85.255510
4489.3.86.0/2389.3.86.1 to 89.3.87.25489.3.87.255510
4589.3.88.0/2389.3.88.1 to 89.3.89.25489.3.89.255510
4689.3.90.0/2389.3.90.1 to 89.3.91.25489.3.91.255510
4789.3.92.0/2389.3.92.1 to 89.3.93.25489.3.93.255510
4889.3.94.0/2389.3.94.1 to 89.3.95.25489.3.95.255510
4989.3.96.0/2389.3.96.1 to 89.3.97.25489.3.97.255510
5089.3.98.0/2389.3.98.1 to 89.3.99.25489.3.99.255510
5189.3.100.0/2389.3.100.1 to 89.3.101.25489.3.101.255510
5289.3.102.0/2389.3.102.1 to 89.3.103.25489.3.103.255510
5389.3.104.0/2389.3.104.1 to 89.3.105.25489.3.105.255510
5489.3.106.0/2389.3.106.1 to 89.3.107.25489.3.107.255510
5589.3.108.0/2389.3.108.1 to 89.3.109.25489.3.109.255510
5689.3.110.0/2389.3.110.1 to 89.3.111.25489.3.111.255510
5789.3.112.0/2389.3.112.1 to 89.3.113.25489.3.113.255510
5889.3.114.0/2389.3.114.1 to 89.3.115.25489.3.115.255510
5989.3.116.0/2389.3.116.1 to 89.3.117.25489.3.117.255510
6089.3.118.0/2389.3.118.1 to 89.3.119.25489.3.119.255510
6189.3.120.0/2389.3.120.1 to 89.3.121.25489.3.121.255510
6289.3.122.0/2389.3.122.1 to 89.3.123.25489.3.123.255510
6389.3.124.0/2389.3.124.1 to 89.3.125.25489.3.125.255510
6489.3.126.0/2389.3.126.1 to 89.3.127.25489.3.127.255510
6589.3.128.0/2389.3.128.1 to 89.3.129.25489.3.129.255510
6689.3.130.0/2389.3.130.1 to 89.3.131.25489.3.131.255510
6789.3.132.0/2389.3.132.1 to 89.3.133.25489.3.133.255510
6889.3.134.0/2389.3.134.1 to 89.3.135.25489.3.135.255510
6989.3.136.0/2389.3.136.1 to 89.3.137.25489.3.137.255510
7089.3.138.0/2389.3.138.1 to 89.3.139.25489.3.139.255510
7189.3.140.0/2389.3.140.1 to 89.3.141.25489.3.141.255510
7289.3.142.0/2389.3.142.1 to 89.3.143.25489.3.143.255510
7389.3.144.0/2389.3.144.1 to 89.3.145.25489.3.145.255510
7489.3.146.0/2389.3.146.1 to 89.3.147.25489.3.147.255510
7589.3.148.0/2389.3.148.1 to 89.3.149.25489.3.149.255510
7689.3.150.0/2389.3.150.1 to 89.3.151.25489.3.151.255510
7789.3.152.0/2389.3.152.1 to 89.3.153.25489.3.153.255510
7889.3.154.0/2389.3.154.1 to 89.3.155.25489.3.155.255510
7989.3.156.0/2389.3.156.1 to 89.3.157.25489.3.157.255510
8089.3.158.0/2389.3.158.1 to 89.3.159.25489.3.159.255510
8189.3.160.0/2389.3.160.1 to 89.3.161.25489.3.161.255510
8289.3.162.0/2389.3.162.1 to 89.3.163.25489.3.163.255510
8389.3.164.0/2389.3.164.1 to 89.3.165.25489.3.165.255510
8489.3.166.0/2389.3.166.1 to 89.3.167.25489.3.167.255510
8589.3.168.0/2389.3.168.1 to 89.3.169.25489.3.169.255510
8689.3.170.0/2389.3.170.1 to 89.3.171.25489.3.171.255510
8789.3.172.0/2389.3.172.1 to 89.3.173.25489.3.173.255510
8889.3.174.0/2389.3.174.1 to 89.3.175.25489.3.175.255510
8989.3.176.0/2389.3.176.1 to 89.3.177.25489.3.177.255510
9089.3.178.0/2389.3.178.1 to 89.3.179.25489.3.179.255510
9189.3.180.0/2389.3.180.1 to 89.3.181.25489.3.181.255510
9289.3.182.0/2389.3.182.1 to 89.3.183.25489.3.183.255510
9389.3.184.0/2389.3.184.1 to 89.3.185.25489.3.185.255510
9489.3.186.0/2389.3.186.1 to 89.3.187.25489.3.187.255510
9589.3.188.0/2389.3.188.1 to 89.3.189.25489.3.189.255510
9689.3.190.0/2389.3.190.1 to 89.3.191.25489.3.191.255510
9789.3.192.0/2389.3.192.1 to 89.3.193.25489.3.193.255510
9889.3.194.0/2389.3.194.1 to 89.3.195.25489.3.195.255510
9989.3.196.0/2389.3.196.1 to 89.3.197.25489.3.197.255510
10089.3.198.0/2389.3.198.1 to 89.3.199.25489.3.199.255510
10189.3.200.0/2389.3.200.1 to 89.3.201.25489.3.201.255510
10289.3.202.0/2389.3.202.1 to 89.3.203.25489.3.203.255510
10389.3.204.0/2389.3.204.1 to 89.3.205.25489.3.205.255510
10489.3.206.0/2389.3.206.1 to 89.3.207.25489.3.207.255510
10589.3.208.0/2389.3.208.1 to 89.3.209.25489.3.209.255510
10689.3.210.0/2389.3.210.1 to 89.3.211.25489.3.211.255510
10789.3.212.0/2389.3.212.1 to 89.3.213.25489.3.213.255510
10889.3.214.0/2389.3.214.1 to 89.3.215.25489.3.215.255510
10989.3.216.0/2389.3.216.1 to 89.3.217.25489.3.217.255510
11089.3.218.0/2389.3.218.1 to 89.3.219.25489.3.219.255510
11189.3.220.0/2389.3.220.1 to 89.3.221.25489.3.221.255510
11289.3.222.0/2389.3.222.1 to 89.3.223.25489.3.223.255510
11389.3.224.0/2389.3.224.1 to 89.3.225.25489.3.225.255510
11489.3.226.0/2389.3.226.1 to 89.3.227.25489.3.227.255510
11589.3.228.0/2389.3.228.1 to 89.3.229.25489.3.229.255510
11689.3.230.0/2389.3.230.1 to 89.3.231.25489.3.231.255510
11789.3.232.0/2389.3.232.1 to 89.3.233.25489.3.233.255510
11889.3.234.0/2389.3.234.1 to 89.3.235.25489.3.235.255510
11989.3.236.0/2389.3.236.1 to 89.3.237.25489.3.237.255510
12089.3.238.0/2389.3.238.1 to 89.3.239.25489.3.239.255510
12189.3.240.0/2389.3.240.1 to 89.3.241.25489.3.241.255510
12289.3.242.0/2389.3.242.1 to 89.3.243.25489.3.243.255510
12389.3.244.0/2389.3.244.1 to 89.3.245.25489.3.245.255510
12489.3.246.0/2389.3.246.1 to 89.3.247.25489.3.247.255510
12589.3.248.0/2389.3.248.1 to 89.3.249.25489.3.249.255510
12689.3.250.0/2389.3.250.1 to 89.3.251.25489.3.251.255510
12789.3.252.0/2389.3.252.1 to 89.3.253.25489.3.253.255510
12889.3.254.0/2389.3.254.1 to 89.3.255.25489.3.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses